CREATE TABLE ego_bulk_delete_records (
    DELETE_ENTITY_ROW_ID     NUMBER(18, 0) ,
    DELETE_GROUP_ID          NUMBER(18, 0)     NOT NULL,
    REQUEST_INSTANCE_ID      NUMBER(18, 0) ,
    DELETE_ENTITY_ID         NUMBER(18, 0)     NOT NULL,
    ENTITY_TYPE              VARCHAR2(4000),
    DELETE_MODE              VARCHAR2(8)   ,
    PK1_VALUE                VARCHAR2(4000),
    PK2_VALUE                VARCHAR2(4000),
    PK3_VALUE                VARCHAR2(4000),
    PK4_VALUE                VARCHAR2(4000),
    PK5_VALUE                VARCHAR2(4000),
    ALT_KEY_1_VALUE          VARCHAR2(4000),
    ALT_KEY_2_VALUE          VARCHAR2(4000),
    ALT_KEY_3_VALUE          VARCHAR2(4000),
    ALT_KEY_4_VALUE          VARCHAR2(4000),
    ALT_KEY_5_VALUE          VARCHAR2(4000),
    ALT_KEY_6_VALUE          VARCHAR2(4000),
    ALT_KEY_7_VALUE          VARCHAR2(4000),
    ALT_KEY_8_VALUE          VARCHAR2(4000),
    ALT_KEY_9_VALUE          VARCHAR2(4000),
    ALT_KEY_10_VALUE         VARCHAR2(4000),
    ALT_KEY_11_VALUE         VARCHAR2(4000),
    ALT_KEY_12_VALUE         VARCHAR2(4000),
    ALT_KEY_13_VALUE         VARCHAR2(4000),
    ALT_KEY_14_VALUE         VARCHAR2(4000),
    ALT_KEY_15_VALUE         VARCHAR2(4000),
    ALT_KEY_16_VALUE         VARCHAR2(4000),
    ALT_KEY_17_VALUE         VARCHAR2(4000),
    ALT_KEY_18_VALUE         VARCHAR2(4000),
    ALT_KEY_19_VALUE         VARCHAR2(4000),
    ALT_KEY_20_VALUE         VARCHAR2(4000),
    ALT_KEY_21_VALUE         VARCHAR2(4000),
    ALT_KEY_22_VALUE         VARCHAR2(4000),
    ALT_KEY_23_VALUE         VARCHAR2(4000),
    ALT_KEY_24_VALUE         VARCHAR2(4000),
    ALT_KEY_25_VALUE         VARCHAR2(4000),
    ALT_KEY_26_VALUE         VARCHAR2(4000),
    ALT_KEY_27_VALUE         VARCHAR2(4000),
    ALT_KEY_28_VALUE         VARCHAR2(4000),
    ALT_KEY_29_VALUE         VARCHAR2(4000),
    ALT_KEY_30_VALUE         VARCHAR2(4000),
    ALT_KEY_LONG_VALUE       CLOB          ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    DELETE_ENTITY_ROW_ID     NUMBER(18, 0) ,
    DELETE_GROUP_ID          NUMBER(18, 0)     NOT NULL,
    REQUEST_INSTANCE_ID      NUMBER(18, 0) ,
    DELETE_ENTITY_ID         NUMBER(18, 0)     NOT NULL,
    ENTITY_TYPE              VARCHAR2(4000),
    DELETE_MODE              VARCHAR2(8)   ,
    PK1_VALUE                VARCHAR2(4000),
    PK2_VALUE                VARCHAR2(4000),
    PK3_VALUE                VARCHAR2(4000),
    PK4_VALUE                VARCHAR2(4000),
    PK5_VALUE                VARCHAR2(4000),
    ALT_KEY_1_VALUE          VARCHAR2(4000),
    ALT_KEY_2_VALUE          VARCHAR2(4000),
    ALT_KEY_3_VALUE          VARCHAR2(4000),
    ALT_KEY_4_VALUE          VARCHAR2(4000),
    ALT_KEY_5_VALUE          VARCHAR2(4000),
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ALT_KEY_6_VALUE          VARCHAR2(4000),
    ALT_KEY_7_VALUE          VARCHAR2(4000),
    ALT_KEY_8_VALUE          VARCHAR2(4000),
    ALT_KEY_9_VALUE          VARCHAR2(4000),
    ALT_KEY_10_VALUE         VARCHAR2(4000),
    ALT_KEY_11_VALUE         VARCHAR2(4000),
    ALT_KEY_12_VALUE         VARCHAR2(4000),
    ALT_KEY_13_VALUE         VARCHAR2(4000),
    ALT_KEY_14_VALUE         VARCHAR2(4000),
    ALT_KEY_15_VALUE         VARCHAR2(4000),
    ALT_KEY_16_VALUE         VARCHAR2(4000),
    ALT_KEY_17_VALUE         VARCHAR2(4000),
    ALT_KEY_18_VALUE         VARCHAR2(4000),
    ALT_KEY_19_VALUE         VARCHAR2(4000),
    ALT_KEY_20_VALUE         VARCHAR2(4000),
    ALT_KEY_21_VALUE         VARCHAR2(4000),
    ALT_KEY_22_VALUE         VARCHAR2(4000),
    ALT_KEY_23_VALUE         VARCHAR2(4000),
    ALT_KEY_24_VALUE         VARCHAR2(4000),
    ALT_KEY_25_VALUE         VARCHAR2(4000),
    ALT_KEY_26_VALUE         VARCHAR2(4000),
    ALT_KEY_27_VALUE         VARCHAR2(4000),
    ALT_KEY_28_VALUE         VARCHAR2(4000),
    ALT_KEY_29_VALUE         VARCHAR2(4000),
    ALT_KEY_30_VALUE         VARCHAR2(4000),
    ALT_KEY_LONG_VALUE       CLOB          ,
    CONSTRAINT pk_ego_bulk_delete_records PRIMARY KEY (DELETE_ENTITY_ROW_ID, DELETE_ENTITY_ROW_ID)
);
